%global gem_name ruby-ldap

Name: rubygem-%{gem_name}
Version: 0.9.16
Release: 3.2%{?dist}
Summary: Ruby/LDAP is an extension module for Ruby
Group: Development/Languages
License: MIT
URL: http://ruby-ldap.sourceforge.net/
Source0: http://rubygems.org/gems/%{gem_name}-%{version}.gem
%if 0%{fedora} < 21
Requires: ruby(release)
Requires: ruby(rubygems) 
%endif
BuildRequires: ruby(release)
BuildRequires: rubygems-devel 
BuildRequires: ruby-devel 
BuildRequires: rubygem(minitest) >= 4.3.0
BuildRequires: rubygem(minitest) < 5.0.0
BuildRequires: openldap-devel
%if 0%{fedora} < 21
Provides: rubygem(%{gem_name}) = %{version}
%endif

%description
It provides the interface to some LDAP libraries (e.g. OpenLDAP, Netscape SDK
and Active Directory). The common API for application development is described
in RFC1823 and is supported by Ruby/LDAP.


%package doc
Summary: Documentation for %{name}
Group: Documentation
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}

%prep
gem unpack %{SOURCE0}

%setup -q -D -T -n  %{gem_name}-%{version}

gem spec %{SOURCE0} -l --ruby > %{gem_name}.gemspec

%build
# Create the gem as gem install only works on a gem file
gem build %{gem_name}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -pa .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/

%if 0%{fedora} < 21
mkdir -p %{buildroot}%{gem_extdir_mri}/lib
mv %{buildroot}%{gem_instdir}/lib/ldap.so %{buildroot}%{gem_extdir_mri}/lib/
%else
mkdir -p %{buildroot}%{gem_extdir_mri}
cp -a .%{gem_extdir_mri}/{gem.build_complete,*.so} %{buildroot}%{gem_extdir_mri}/
%endif

rm -f %{buildroot}%{gem_instdir}/.RUBYLIBDIR.-.ldap.time
rm -f %{buildroot}%{gem_instdir}/.RUBYARCHDIR.time
rm -f %{buildroot}%{gem_instdir}/*.[cho]
rm -f %{buildroot}%{gem_instdir}/*.so
rm -f %{buildroot}%{gem_instdir}/*.log
rm -f %{buildroot}%{gem_instdir}/extconf.rb
rm -f %{buildroot}%{gem_instdir}/siteconf*.rb
rm -f %{buildroot}%{gem_instdir}/Makefile
rm -rf %{buildroot}%{gem_instdir}/win



%check
pushd ./%{gem_instdir}
testrb -Ilib -Itest test
popd

%files
%dir %{gem_instdir}
%{gem_libdir}
%doc %{gem_instdir}/COPYING
%{gem_extdir_mri}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/ChangeLog
%doc %{gem_instdir}/FAQ
%doc %{gem_instdir}/NOTES
%doc %{gem_instdir}/README
%doc %{gem_instdir}/TODO
%{gem_instdir}/test

%changelog
* Sun Dec 28 2014 Oleg Girko <ol@infoserver.lv> - 0.9.16
- Rebuilt for https://fedoraproject.org/wiki/Changes/Ruby_2.1
- Require minitest gem version 4 for build
* Sun May 11 2014 Oleg Girko <ol@infoserver.lv> - 0.9.16
- Update to 0.9.16
* Wed Oct  2 2013 Oleg Girko <ol@infoserver.lv> - 0.9.13
- Fix packaging
* Wed Oct  2 2013 Oleg Girko <ol@infoserver.lv> - 0.9.13
- Rebuild for https://fedoraproject.org/wiki/Features/Ruby_2.0.0
* Wed Jun 12 2013 Oleg Girko <ol@infoserver.lv> - 0.9.13-1
- Initial package
